Bug 1254802 - [abrt] remmina: g_mutex_clear(): remmina killed by SIGABRT
[abrt] remmina: g_mutex_clear(): remmina killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fc51ec6947eed6b31c877f4f9be...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 18:14 EDT by Benjamin Ariel Nava Martinez
Modified: 2016-07-19 13:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:34:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.51 KB, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: build_ids (5.00 KB, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: cgroup (177 bytes, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: core_backtrace (6.65 KB, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: dso_list (11.80 KB, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: environ (1.47 KB, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: maps (57.55 KB, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: mountinfo (2.94 KB, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: open_fds (1.96 KB, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: proc_pid_status (865 bytes, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: var_log_messages (302 bytes, text/plain)
2015-08-18 18:14 EDT, Benjamin Ariel Nava Martinez
no flags Details

  None (edit)
Description Benjamin Ariel Nava Martinez 2015-08-18 18:14:13 EDT
Version-Release number of selected component:
remmina-1.2.0-0.5.git.b3237e8.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        remmina
crash_function: g_mutex_clear
executable:     /usr/bin/remmina
global_pid:     1919
kernel:         4.1.4-200.fc22.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 g_mutex_clear at gthread-posix.c:1300
 #4 g_async_queue_unref at gasyncqueue.c:230
 #5 remmina_rdp_event_uninit at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina-plugins/rdp/rdp_event.c:633
 #6 remmina_rdp_close_connection at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina-plugins/rdp/rdp_plugin.c:1070
 #7 remmina_protocol_widget_close_connection at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina/src/remmina_protocol_widget.c:321
 #8 remmina_connection_window_delete_event at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina/src/remmina_connection_window.c:307
 #9 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #10 _g_closure_invoke_va at gclosure.c:831
 #13 gtk_widget_event_internal at gtkwidget.c:7787
 #14 gtk_main_do_event at gtkmain.c:1635
Comment 1 Benjamin Ariel Nava Martinez 2015-08-18 18:14:15 EDT
Created attachment 1064535 [details]
File: backtrace
Comment 2 Benjamin Ariel Nava Martinez 2015-08-18 18:14:16 EDT
Created attachment 1064536 [details]
File: build_ids
Comment 3 Benjamin Ariel Nava Martinez 2015-08-18 18:14:18 EDT
Created attachment 1064537 [details]
File: cgroup
Comment 4 Benjamin Ariel Nava Martinez 2015-08-18 18:14:19 EDT
Created attachment 1064538 [details]
File: core_backtrace
Comment 5 Benjamin Ariel Nava Martinez 2015-08-18 18:14:20 EDT
Created attachment 1064539 [details]
File: dso_list
Comment 6 Benjamin Ariel Nava Martinez 2015-08-18 18:14:21 EDT
Created attachment 1064540 [details]
File: environ
Comment 7 Benjamin Ariel Nava Martinez 2015-08-18 18:14:21 EDT
Created attachment 1064541 [details]
File: limits
Comment 8 Benjamin Ariel Nava Martinez 2015-08-18 18:14:23 EDT
Created attachment 1064542 [details]
File: maps
Comment 9 Benjamin Ariel Nava Martinez 2015-08-18 18:14:24 EDT
Created attachment 1064543 [details]
File: mountinfo
Comment 10 Benjamin Ariel Nava Martinez 2015-08-18 18:14:24 EDT
Created attachment 1064544 [details]
File: namespaces
Comment 11 Benjamin Ariel Nava Martinez 2015-08-18 18:14:25 EDT
Created attachment 1064545 [details]
File: open_fds
Comment 12 Benjamin Ariel Nava Martinez 2015-08-18 18:14:26 EDT
Created attachment 1064546 [details]
File: proc_pid_status
Comment 13 Benjamin Ariel Nava Martinez 2015-08-18 18:14:27 EDT
Created attachment 1064547 [details]
File: var_log_messages
Comment 14 Pavel Alexeev 2015-11-07 06:41:09 EST
According to backtrace:
#3  0xb6eb2e89 in g_mutex_clear (mutex=mutex@entry=0x9543988) at gthread-posix.c:1300

it looks like glib issue. Please look. Reassigning.
Comment 15 Fedora End Of Life 2016-07-19 13:34:06 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.